Bug 479966 - (CVE-2008-5824) CVE-2008-5824 audiofile: heap-based overflow in Microsoft ADPCM compression module (app crash, arb. code execution)
CVE-2008-5824 audiofile: heap-based overflow in Microsoft ADPCM compression m...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://bugs.debian.org/cgi-bin/bugrep...
public=20081230,reported=20090102,sou...
: Security
Depends On: 483239 483240 483241 665500
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-14 05:28 EST by Jan Lieskovsky
Modified: 2015-02-19 04:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:34:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
22_CVE-2008-5824.dpatch by Stefan Fritsch (4.65 KB, patch)
2009-11-30 14:01 EST, Jan Lieskovsky
no flags Details | Diff
Local copy of normalize.diff by Stefan Fritsch (613 bytes, patch)
2009-11-30 14:03 EST, Jan Lieskovsky
no flags Details | Diff

  None (edit)
Description Jan Lieskovsky 2009-01-14 05:28:08 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-5824 to
the following vulnerability:

Heap-based buffer overflow in msadpcm.c in libaudiofile in audiofile
0.2.6 allows context-dependent attackers to cause a denial of service
(application crash) or possibly execute arbitrary code via a crafted
WAV file.

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2008-5824
http://openwall.com/lists/oss-security/2008/12/30/1
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=510205
http://musicpd.org/mantis/view.php?id=1915

PoC:
http://filebin.ca/meqmyu/max_theme.wav

Note: The Debian patch at:
http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=17;filename=audiofile-msadpcm-fix.diff;att=1;bug=510205
is only partial (doesn't protect against buffer overflows).
Comment 1 Jan Lieskovsky 2009-01-14 05:29:44 EST
This issue does NOT affect the version of the audiofile package, as shipped
with Red Hat Enterprise Linux 2.1.

This issue affects the versions of the audiofile package, as shipped
with Red Hat Enterprise Linux 3, 4, and 5.

This issue affects the versions of the audiofile package, as shipped
with Fedora release of 9, 10 and devel.

Please fix.
Comment 3 Jan Lieskovsky 2009-01-15 07:53:19 EST
The Red Hat Security Response Team has rated this issue as having low security
impact, a future update may address this flaw.  More information regarding
issue severity can be found here:
http://www.redhat.com/security/updates/classification/
Comment 7 Jan Lieskovsky 2009-11-30 14:00:21 EST
Stefan Fritsch provided updated patches to the Debian bug. These are
available here:

  http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=59;filename=22_CVE-2008-5824.dpatch;att=1;bug=558399

and:

  http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=76;filename=normalize.diff;att=1;bug=558399

(Will attach them as local copies too).
Comment 8 Jan Lieskovsky 2009-11-30 14:01:20 EST
Created attachment 374844 [details]
22_CVE-2008-5824.dpatch by Stefan Fritsch
Comment 9 Jan Lieskovsky 2009-11-30 14:03:35 EST
Created attachment 374846 [details]
Local copy of normalize.diff by Stefan Fritsch
Comment 10 Vincent Danen 2010-12-23 23:02:25 EST
I don't believe this was ever fixed, and I don't know if it was corrected in upstream 0.2.7 (judging by the changelog on their site it doesn't look like it).  I have not looked at any code to determine if this is the case.
Comment 11 Vincent Danen 2010-12-23 23:02:52 EST
Created audiofile tracking bugs for this issue

Affects: fedora-all [bug 665500]
Comment 12 Michael Pruett 2012-10-10 14:04:20 EDT
This CVE was fixed by commit e8cf0095b3f319739f9aa1ab5a1aa52b76be8cdd:

https://github.com/mpruett/audiofile/commit/e8cf0095b3f319739f9aa1ab5a1aa52b76be8cdd

Audio File Library version 0.2.7, published on 21 March 2010, was the first release to include this commit. This fix is present in subsequent versions of the library including the current release, version 0.3.4.
Comment 13 Vincent Danen 2015-02-17 10:34:22 EST
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Note You need to log in before you can comment on or make changes to this bug.